<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Google Sign-in</title>
        <script
            src="https://apis.google.com/js/platform.js"
            async
            defer
        ></script>

        <meta
            name="google-signin-client_id"
            content="880776411615-v6k8qi4mur051v4i129ml7tf50fsh9td.apps.googleusercontent.com"
        />
    </head>
    <body>
        <div class="g-signin2" data-onsuccess="onSignIn"></div>

        <a href="#" onclick="signOut();">Sign out</a>

        <script>
            function onSignIn(googleUser) {
                var profile = googleUser.getBasicProfile();
                console.log("ID: " + profile.getId()); // Do not send to your backend! Use an ID token instead.
                console.log("Name: " + profile.getName());
                console.log("Image URL: " + profile.getImageUrl());
                console.log("Email: " + profile.getEmail()); // This is null if the 'email' scope is not present.

                var id_token = googleUser.getAuthResponse().id_token;
                console.warn("Token: ", id_token);

                var xhr = new XMLHttpRequest();
                xhr.open("POST", "/google");
                xhr.setRequestHeader(
                    "Content-Type",
                    "application/x-www-form-urlencoded"
                );
                xhr.onload = function () {
                    console.log("Signed in as: " + xhr.responseText);
                };
                xhr.send("idtoken=" + id_token);
            }
        </script>

        <script>
            function signOut() {
                var auth2 = gapi.auth2.getAuthInstance();
                auth2.signOut().then(function () {
                    console.log("User signed out.");
                });
            }
        </script>
    </body>
</html>
